      subroutine get_stflux (itrc)      


      use Agrif_Util
#include "Param_BeforeCall_get_stflux.h"
      integer(4) :: itrc
      

        call Sub_Loop_get_stflux(itrc, Agrif_tabvars_i(14)%iarray0, Agri
     &f_tabvars_i(4)%iarray0, Agrif_tabvars_i(13)%iarray0, Agrif_tabvars
     &_i(2)%iarray0, Agrif_tabvars_r(8)%array0, Agrif_tabvars_i(176)%iar
     &ray0, Agrif_tabvars(244)%array2, Agrif_tabvars(245)%array4, Agrif_
     &tabvars_r(3)%array0, Agrif_tabvars_r(5)%array0, Agrif_tabvars_r(12
     &)%array0, Agrif_tabvars(241)%array1, Agrif_tabvars(243)%array2, Ag
     &rif_tabvars_i(304)%iarray1, Agrif_tabvars_i(305)%iarray1, Agrif_ta
     &bvars(242)%array1, Agrif_tabvars_i(43)%iarray1, Agrif_tabvars_i(30
     &3)%iarray1, Agrif_tabvars_i(301)%iarray1, Agrif_tabvars_c(18)%carr
     &ay2, Agrif_tabvars_i(302)%iarray1, Agrif_tabvars_i(28)%iarray0, Ag
     &rif_tabvars_c(10)%carray0, Agrif_tabvars_i(147)%iarray0, Agrif_tab
     &vars_i(306)%iarray1, Agrif_tabvars_i(167)%iarray0)

      end


#include "Sub_Loop_get_stflux.h"
      subroutine set_stflux_tile (Istr,Iend,Jstr,Jend, itrc)      


      use Agrif_Util
#include "Param_BeforeCall_set_stflux_tile.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend
      integer(4) :: itrc
      

        call Sub_Loop_set_stflux_tile(Istr,Iend,Jstr,Jend,itrc, Agrif_ta
     &bvars_i(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_tabvars_i(1
     &3)%iarray0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars_i(167)%iarra
     &y0, Agrif_tabvars_r(8)%array0, Agrif_tabvars_l(6)%larray0, Agrif_t
     &abvars(244)%array2, Agrif_tabvars(245)%array4, Agrif_tabvars(250)%
     &array3, Agrif_tabvars(241)%array1, Agrif_tabvars_i(303)%iarray1, A
     &grif_tabvars_i(158)%iarray0, Agrif_tabvars_i(147)%iarray0, Agrif_t
     &abvars(242)%array1, Agrif_tabvars(243)%array2, Agrif_tabvars_r(3)%
     &array0, Agrif_tabvars_r(5)%array0, Agrif_tabvars_i(306)%iarray1, A
     &grif_tabvars_l(13)%larray0, Agrif_tabvars_i(8)%iarray0, Agrif_tabv
     &ars_l(14)%larray0, Agrif_tabvars_l(11)%larray0, Agrif_tabvars_i(7)
     &%iarray0, Agrif_tabvars_l(12)%larray0)

      end


#include "Sub_Loop_set_stflux_tile.h"
